net.sf.jasperreports.engine.design

## Class JRAbstractSingleClassCompiler

- java.lang.Object
- - net.sf.jasperreports.engine.design.JRAbstractCompiler
  - - net.sf.jasperreports.engine.design.JRAbstractJavaCompiler
    - - net.sf.jasperreports.engine.design.JRAbstractClassCompiler
      - - net.sf.jasperreports.engine.design.JRAbstractSingleClassCompiler

- All Implemented Interfaces:
    JRClassCompiler, JRCompiler, JRMultiClassCompiler

      public abstract class JRAbstractSingleClassCompiler
      extends JRAbstractClassCompiler

  Base class that can be used by single source file compilers to implement multiple compilation.
  Version:
    $Id: JRAbstractSingleClassCompiler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRAbstractJavaCompiler

      `PROPERTY_EVALUATOR_CLASS_REFERENCE_FIX_ENABLED`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRAbstractCompiler

      `jasperReportsContext`

    - ### Fields inherited from interface net.sf.jasperreports.engine.design.JRCompiler

      `COMPILER_CLASS, COMPILER_CLASSPATH, COMPILER_KEEP_JAVA_FILE, COMPILER_PREFIX, COMPILER_TEMP_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractSingleClassCompiler()` Deprecated. Replaced by `JRAbstractSingleClassCompiler(JasperReportsContext)`.
    `JRAbstractSingleClassCompiler(JasperReportsContext jasperReportsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `compileClasses(java.io.File[] sourceFiles, java.lang.String classpath)` Compile a set of source files.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractClassCompiler

      `checkLanguage, compileUnits, generateSourceCode, getSourceFileName`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractJavaCompiler

      `classCacheKey, getClassFromCache, loadEvaluator, putClassInCache`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRAbstractCompiler

      `compileReport, getCompilerClass, getSourceFile, getUnitName, getUnitName, getUnitName, getUnitName, getUnitName, loadEvaluator, loadEvaluator, loadEvaluator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.design.JRClassCompiler

      `compileClass`

- - ### Constructor Detail

    - #### JRAbstractSingleClassCompiler

          public JRAbstractSingleClassCompiler(JasperReportsContext jasperReportsContext)

    - #### JRAbstractSingleClassCompiler

          public JRAbstractSingleClassCompiler()

      Deprecated. Replaced by `JRAbstractSingleClassCompiler(JasperReportsContext)`.

  - ### Method Detail

    - #### compileClasses

          public java.lang.String compileClasses(java.io.File[] sourceFiles,
                                        java.lang.String classpath)
                                          throws JRException

      Description copied from interface: `JRMultiClassCompiler`
      Compile a set of source files.
      Parameters:
        `sourceFiles` - the source files
        `classpath` - the classpath to be used when compiling
      Returns:
        a `String` containing compile errors
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com